curl --request GET \
--url https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement \
--header 'Authorization: Bearer <token>'import requests
url = "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "<string>",
"type": "<string>",
"cik": "0001045810",
"ticker": "<string>",
"company_name": "<string>",
"source_link": "<string>",
"ai_insights": {
"category_id": "<string>",
"category_name": "<string>",
"summary_title": "<string>",
"summary_text": "<string>",
"sentiment": "positive"
},
"published_date": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total_count": 123,
"page": 123,
"limit": 123
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}8-K/6-K Tagged Feed
The API returns the latest 8-K and 6-K feed from SEC Edgar, each tagged with AI-generated insights including summaries, category tags (drawn from a predefined set of categories), and sentiment tags. Users can utilize this tagged feed to monitor daily updates on material events reported by companies, enabling them to build custom email notification systems or display widgets for tracking significant corporate disclosures in their apps.
curl --request GET \
--url https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement \
--header 'Authorization: Bearer <token>'import requests
url = "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/documents/announcement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "<string>",
"type": "<string>",
"cik": "0001045810",
"ticker": "<string>",
"company_name": "<string>",
"source_link": "<string>",
"ai_insights": {
"category_id": "<string>",
"category_name": "<string>",
"summary_title": "<string>",
"summary_text": "<string>",
"sentiment": "positive"
},
"published_date": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total_count": 123,
"page": 123,
"limit": 123
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}Authorizations
Query Parameters
CIKs (Central Index Keys) of companies. Multiple CIKs can be provided separated by commas. Each CIK should be a 10-digit number (include leading zeros if necessary). Get CIKs from Company Details.
"0001045810"
Comma-separated 8-K/6-K Category IDs (Allowed Values - 1 to 26). Check the filings-8k-type mapping.
Sector classification of the companies. Multiple values can be provided separated by commas. Get valid sector values from Company Details.
Industry classification of the companies. Multiple values can be provided separated by commas. Check valid industry values from Company Details.